{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    idea-community-eap
    # clion-eap
    texlive.combined.scheme-full biber
    gimp
    inkscape
    # jabref
    libreoffice-fresh
    stablePkgs
    # calibre
    goldendict

    vscode
    ccls

    # stack

    elan
    # coq
    # emacsPackages.proofgeneral

    # virtmanager

    (if lib.hasAttr "curaPlugins" pkgs then
      cura.override {
        plugins = with curaPlugins; [ octoprint ];
      }
     else cura)
    openscad
    freecad
    calculix
    meshlab

    audacious
    flac
    clementine

    uvccapture

    yarn

    gnome3.baobab

    rustup
  ] ++ (with aspellDicts; [ en de fr nl ]);

  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };
  users.extraUsers.gebner.extraGroups = [ "wireshark" ];

}
